/*
 *  UUCP.H
 *
 *  Header file for uucp.
 *
 *  Pieces that look like they might be taken from Unix uucp are
 *  cribbed with the aid of public domain uucp modules (like the F-protocol)
 *  that use that interface.
 *
 *  Ported to Amiga by William Loftus
 *  Changes Copyright 1988 by William Loftus.  All rights reserved.
 */

/* I may have these flipped from what Unix uses... */
/* BUT: my code depends on these values in if (foo()) statements, sigh */
#define SUCCESS     0
#define FAIL	    1
#define REFUSED     2

#define MAXMSGLEN	((NAMESIZE*4)+SLOP)	/* ?>?? FIXME */
#define MAXMSGTIME	60	/* Timeout period for rdmsg */
#define MAX_HOST	20	/* Host name length (uucp does 7) */
#define MAX_LSYS	500	/* Max length of an L.sys line in chars */
#define MAX_CTLLINE	100	/* Max length of a usenet.ctl line */

#define CTL_DELIM	" \t\n\r"       /* Delimiters for usenet.ctl */

/*
 * Timeout for raw characters -- if we don't hear a char within BYTE_TO
 * seconds, we assume the other side has gone away.  Has nothing to do with
 * retransmission timeouts (if any!).
 */

#define BYTE_TO 	60
#define SENDEXPECT_TO	15
#define QUICK_TO	2

#define SLOP		10		/* Slop space on arrays */
