/* Original by Andrew Kopp, modified by John Bickers */

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

typedef struct XferStat {
    ULONG   flags;
    char    host[32];
    UBYTE   proto[4];		/* more than we need	*/
    time_t  time_start; 	/* time() enter proto	*/
    time_t  time_stop;		/* time() exit	proto	*/

    ULONG   bytes_send; 	/* total bytes we send	*/
    ULONG   bytes_recv; 	/* total bytes we recv	*/

    ULONG   files_send; 	/* files we send	*/
    ULONG   files_recv; 	/* files we recieve	*/

    /* neato transfer calculation */
    ULONG   fbytes_send;	/* bytes sent that were actual file data */
    ULONG   fbytes_recv;	/* bytes recv that were actual file data */
} XferStat;

#define XFERF_WRITTEN	1	/* output is written, new call need reset() */
#define XFERF_OUTGOING	2	/* TRUE when we dialcall */
